DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_existeCorteCaja`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_existeCorteCaja`(
)
    SQL SECURITY INVOKER
    COMMENT 'Verifica si existe corte de caja inicial del dia'
BEGIN
	DECLARE hoy DATE;
	DECLARE existe INT;
	SET hoy = CAST(NOW() AS DATE);
	-- set existe = 0;
	
	SELECT cc.id_corte INTO existe
	FROM tbl_cortes_caja AS cc
	WHERE CAST(cc.fecha_corte AS DATE) = hoy
	ORDER BY cc.fecha_corte DESC
	LIMIT 1;
	
	SELECT IF(ISNULL(existe), 0, 1) AS existe;
END$$

DELIMITER ;